Subject: [[email-masked]: Help needed]

From: [email-masked] (Mi Mi)
Date: Tue, 7 Jun 94 22:53:27 CDT

Just look at your blue pages (gov't section in your telephone book),
find the INS information hotline, call that number, and follow the 
instructions to record your request. They will send you the necessary 
forms. Actually all the INS forms can be obtained this way. Pretty handy.

Mi Mi Sr.

>From: Lifeng Wang  <[email-masked]> wrote:
To: Multiple recipients of list <[email-masked]>
Subject: Help needed
X-Listprocessor-Version: 6.0a -- ListProcessor by Anastasios Kotsikonas
X-Comment:  Late-Arrival-DependentS-List 

Hi, there, I am a lad and today I called the Immigration Card Facility to check myGC status. I was told that my GC was mailed to me Nov, 22,1993. Unfortunatly
my card was returned to the Immigration Card Facility by my local postoffice dueto unable to delivery. According to the ICF message, I need to fill out INS G731or INS Ga62 form to get my card back. Does anyone know where to get the
forms and where to file?  Your help is very much appreciated.

A

B

B
B
B
B
B
B
B
B
A
A
A

A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B